Bug 10352 - [3.2.1 regression] ICE in find_reloads_toplev
Summary: [3.2.1 regression] ICE in find_reloads_toplev
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: rtl-optimization (show other bugs)
Version: 3.2.2
: P3 normal
Target Milestone: ---
Assignee: Richard Henderson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-08 18:46 UTC by jepler
Modified: 2003-07-25 17:33 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
p2l.ii (244 bytes, text/x-c++)
2003-05-21 15:17 UTC, jepler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jepler 2003-04-08 18:46:00 UTC
The attached function causes a compiler error when compiled on either system with -O2.  The ICE is observed when the g++ or gcc frontend is invoked (the latter as 'gcc-3.2.2 -O2 p2l.i).

[on bsdi2]
p2l.ii: In function `int f()':
p2l.ii:38: Internal compiler error in find_reloads_toplev, at reload.c:4437
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.

[on redhat 9]
p2l.ii: In function `int f()':
p2l.ii:38: Internal compiler error in find_reloads_toplev, at reload.c:4439
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Release:
gcc 3.2.2

Environment:
bsdi2.1 / gcc 3.2.2
Reading specs from /usr/local/lib/gcc-lib/i386-pc-bsdi2.1/3.2.2/specs
Configured with: ./configure --prefix=/var/tmp/3.2.2 --program-suffix=32 --enable-languages=c,c++ --enable-obsolete --with-ld=/var/tmp/3.2.2/ld32 : (reconfigured) ./configure --prefix=/var/tmp/3.2.2 --program-suffix=32 --enable-languages=c,c++ --enable-obsolete --with-ld=/var/tmp/3.2.2/ld32 --with-as=/var/tmp/3.2.2/as32 : (reconfigured) ./configure --prefix=/var/tmp/3.2.2 --program-suffix=32 --enable-languages=c,c++ --enable-obsolete --with-ld=/var/tmp/3.2.2/ld32 --with-as=/var/tmp/3.2.2/as32 : (reconfigured) ./configure --prefix=/var/tmp/3.2.2 --program-suffix=32 --enable-languages=c,c++ --enable-obsolete --with-ld=/var/tmp/3.2.2/ld32 --with-as=/var/tmp/3.2.2/as32 : (reconfigured) ./configure --prefix=/var/tmp/3.2.2 --program-suffix=32 --enable-languages=c,c++ --enable-obsolete --with-ld=/var/tmp/3.2.2/ld32 --with-as=/var/tmp/3.2.2/as32 : (reconfigured) ./configure --prefix=/usr/local --program-suffix=-3.2.2 --enable-languages=c,c++ --enable-obsolete --with-ld=/usr/local/bin/ld-3.2.2 --with-as=/usr/local/bin/as-3.2.2 --with-ar=/usr/local/bin/ar-3.2.2 --with-ranlib=/usr/local/bin/ranlib-3.2.2 : (reconfigured) ./configure --prefix=/usr/local --program-suffix=-3.2.2 --enable-languages=c,c++ --enable-obsolete --with-ld=/usr/local/bin/ld-3.2.2 --with-as=/usr/local/bin/as-3.2.2 --with-ar=/usr/local/bin/ar-3.2.2 --with-ranlib=/usr/local/bin/ranlib-3.2.2 --with-nm=/usr/local/bin/nm-3.2.2 --with-objdump=/usr/local/bin/objdump-3.2.2 : (reconfigured) ./configure --prefix=/usr/local --program-suffix=-3.2.2 --enable-languages=c,c++ --enable-obsolete --with-ld=/usr/local/bin/ld-3.2.2 --with-as=/usr/local/bin/as-3.2.2 --with-ar=/usr/local/bin/ar-3.2.2 --with-ranlib=/usr/local/bin/ranlib-3.2.2 --with-nm=/usr/local/bin/nm-3.2.2 --with-objdump=/usr/local/bin/objdump-3.2.2
Thread model: single
gcc version 3.2.2

redhat 9 / gcc version 3.2.2 20030222 (Red Hat Linux 3.2.2-5)
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --enable-shared --enable-threads=posix --disable-checking --with-system-zlib --enable-__cxa_atexit --host=i386-redhat-linux

How-To-Repeat:
g++-3.2.2 -O2 p2l.ii
gcc-3.2.2 -O2 p2l.i
Comment 1 Wolfgang Bangerth 2003-04-08 20:22:24 UTC
State-Changed-From-To: open->analyzed
State-Changed-Why: Confirmed. A regression on the 3.2 branch, but 3.3 and
    mainline are not affected.
Comment 2 Eric Botcazou 2003-04-09 12:10:18 UTC
Responsible-Changed-From-To: unassigned->ebotcazou
Responsible-Changed-Why: Investigating.
Comment 3 Richard Henderson 2003-04-10 22:20:53 UTC
Responsible-Changed-From-To: ebotcazou->rth
Responsible-Changed-Why: .
Comment 4 Richard Henderson 2003-04-10 22:20:53 UTC
State-Changed-From-To: analyzed->closed
State-Changed-Why: http://gcc.gnu.org/ml/gcc/2003-04/msg00460.html